<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with the Workiva Platform-->
<!--Copyright 2023 Workiva-->
<!--r:0429565b-6d09-4a96-bbea-eb7e3c721e62,g:ecc7fa53-76cf-4f67-95d8-5a826a413c82-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/netLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel"/>
  <link:roleRef roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel"/>
  <link:labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended">
    <link:label id="lab_ifrs-full_AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates_f8cfa8b1-cc96-405e-9e8d-1d56a221b730_negatedLabel_en" xlink:label="lab_ifrs-full_AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments for gain (loss) on disposal of investments in subsidiaries, joint ventures and associates</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates" xlink:to="lab_ifrs-full_AdjustmentsForGainLossOnDisposalOfInvestmentsInSubsidiariesJointVenturesAndAssociates" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities_513bcad3-8782-45f4-a120-c15b0b7c5cab_negatedLabel_en" xlink:label="lab_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Repayments of borrowings, classified as financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:to="lab_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_NonCurrentPreferenceSharesInJointVentures_label_en" xlink:label="lab_btplc_NonCurrentPreferenceSharesInJointVentures" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Non current preference shares in joint ventures</link:label>
    <link:label id="lab_btplc_NonCurrentPreferenceSharesInJointVentures_documentation_en" xlink:label="lab_btplc_NonCurrentPreferenceSharesInJointVentures" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Non current preference shares in joint ventures</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_NonCurrentPreferenceSharesInJointVentures" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_NonCurrentPreferenceSharesInJointVentures"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_NonCurrentPreferenceSharesInJointVentures" xlink:to="lab_btplc_NonCurrentPreferenceSharesInJointVentures" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_OutflowsOfCashFromInvestingActivities_67c77c2d-b0df-4dc3-ba41-e52e93ed1cfa_negatedLabel_en" xlink:label="lab_ifrs-full_OutflowsOfCashFromInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Outflows of cash from investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OutflowsOfCashFromInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OutflowsOfCashFromInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_OutflowsOfCashFromInvestingActivities" xlink:to="lab_ifrs-full_OutflowsOfCashFromInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivities_label_en" xlink:label="lab_btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Proceeds On Disposal Of Current Financial Assets Classified As Investing Activities</link:label>
    <link:label id="lab_btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivities_documentation_en" xlink:label="lab_btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Proceeds On Disposal Of Current Financial Assets Classified As Investing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivities" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivities" xlink:to="lab_btplc_ProceedsOnDisposalOfCurrentFinancialAssetsClassifiedAsInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_DescriptionOfAccountingPolicyForProgrammeRightsTextBlock_label_en" xlink:label="lab_btplc_DescriptionOfAccountingPolicyForProgrammeRightsTextBlock" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Description of accounting policy for programme rights [Text Block]</link:label>
    <link:label id="lab_btplc_DescriptionOfAccountingPolicyForProgrammeRightsTextBlock_documentation_en" xlink:label="lab_btplc_DescriptionOfAccountingPolicyForProgrammeRightsTextBlock" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Description of accounting policy for programme rights</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_DescriptionOfAccountingPolicyForProgrammeRightsTextBlock" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_DescriptionOfAccountingPolicyForProgrammeRightsTextBlock"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_DescriptionOfAccountingPolicyForProgrammeRightsTextBlock" xlink:to="lab_btplc_DescriptionOfAccountingPolicyForProgrammeRightsTextBlock" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_GroupIncomeStatementMember_label_en" xlink:label="lab_btplc_GroupIncomeStatementMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Group Income Statement [Member]</link:label>
    <link:label id="lab_btplc_GroupIncomeStatementMember_documentation_en" xlink:label="lab_btplc_GroupIncomeStatementMember" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Group Income Statement</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_GroupIncomeStatementMember" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_GroupIncomeStatementMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_GroupIncomeStatementMember" xlink:to="lab_btplc_GroupIncomeStatementMember" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_FinanceIncomeCost_9108e71c-806d-4591-98cf-c9f49748cab1_totalLabel_en" xlink:label="lab_ifrs-full_FinanceIncomeCost" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Finance income (cost)</link:label>
    <link:label id="lab_ifrs-full_FinanceIncomeCost_b3c7705d-94db-4294-a992-19a15ea661bb_negatedLabel_en" xlink:label="lab_ifrs-full_FinanceIncomeCost" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Finance income (cost)</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_FinanceIncomeCost" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncomeCost"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_FinanceIncomeCost" xlink:to="lab_ifrs-full_FinanceIncomeCost" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_DescriptionOfAccountingPolicyForSpecificItemsTextBlock_label_en" xlink:label="lab_btplc_DescriptionOfAccountingPolicyForSpecificItemsTextBlock" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Description of accounting policy for specific items [Text Block]</link:label>
    <link:label id="lab_btplc_DescriptionOfAccountingPolicyForSpecificItemsTextBlock_documentation_en" xlink:label="lab_btplc_DescriptionOfAccountingPolicyForSpecificItemsTextBlock" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Description of accounting policy for specific items</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_DescriptionOfAccountingPolicyForSpecificItemsTextBlock" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_DescriptionOfAccountingPolicyForSpecificItemsTextBlock"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_DescriptionOfAccountingPolicyForSpecificItemsTextBlock" xlink:to="lab_btplc_DescriptionOfAccountingPolicyForSpecificItemsTextBlock" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_MovementInCapitalAccruals_label_en" xlink:label="lab_btplc_MovementInCapitalAccruals" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Movement In Capital Accruals</link:label>
    <link:label id="lab_btplc_MovementInCapitalAccruals_documentation_en" xlink:label="lab_btplc_MovementInCapitalAccruals" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Movement In Capital Accruals</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_MovementInCapitalAccruals" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_MovementInCapitalAccruals"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_MovementInCapitalAccruals" xlink:to="lab_btplc_MovementInCapitalAccruals" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_DisclosureOfSpecificItemsTextBlock_label_en" xlink:label="lab_btplc_DisclosureOfSpecificItemsTextBlock" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Disclosure of specific items [Text Block]</link:label>
    <link:label id="lab_btplc_DisclosureOfSpecificItemsTextBlock_documentation_en" xlink:label="lab_btplc_DisclosureOfSpecificItemsTextBlock" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Disclosure of specific items</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_DisclosureOfSpecificItemsTextBlock" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_DisclosureOfSpecificItemsTextBlock"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_DisclosureOfSpecificItemsTextBlock" xlink:to="lab_btplc_DisclosureOfSpecificItemsTextBlock" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_IncreaseDecreaseInAmountsOwedToJointVenturesClassifiedAsFinancingActivities_4ef8bc31-b167-4f01-af01-193ca50fa2d1_negatedLabel_en" xlink:label="lab_btplc_IncreaseDecreaseInAmountsOwedToJointVenturesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Increase (decrease) in amounts owed to joint ventures classified as financing activities</link:label>
    <link:label id="lab_btplc_IncreaseDecreaseInAmountsOwedToJointVenturesClassifiedAsFinancingActivities_label_en" xlink:label="lab_btplc_IncreaseDecreaseInAmountsOwedToJointVenturesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Increase (decrease) in amounts owed to joint ventures classified as financing activities</link:label>
    <link:label id="lab_btplc_IncreaseDecreaseInAmountsOwedToJointVenturesClassifiedAsFinancingActivities_documentation_en" xlink:label="lab_btplc_IncreaseDecreaseInAmountsOwedToJointVenturesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Increase (decrease) in amounts owed to joint ventures classified as financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_IncreaseDecreaseInAmountsOwedToJointVenturesClassifiedAsFinancingActivities" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_IncreaseDecreaseInAmountsOwedToJointVenturesClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_IncreaseDecreaseInAmountsOwedToJointVenturesClassifiedAsFinancingActivities" xlink:to="lab_btplc_IncreaseDecreaseInAmountsOwedToJointVenturesClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_DecreaseIncreaseThroughTaxOnSharebasedPaymentTransactions_643b3aab-6b8d-4e5b-a694-9a883a71e1f2_negatedLabel_en" xlink:label="lab_ifrs-full_DecreaseIncreaseThroughTaxOnSharebasedPaymentTransactions" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Decrease (increase) through tax on share-based payment transactions, equity</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_DecreaseIncreaseThroughTaxOnSharebasedPaymentTransactions" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DecreaseIncreaseThroughTaxOnSharebasedPaymentTransactions"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_DecreaseIncreaseThroughTaxOnSharebasedPaymentTransactions" xlink:to="lab_ifrs-full_DecreaseIncreaseThroughTaxOnSharebasedPaymentTransactions" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_SpecificItemsTable_label_en" xlink:label="lab_btplc_SpecificItemsTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Specific Items [Table]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_SpecificItemsTable" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_SpecificItemsTable"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_SpecificItemsTable" xlink:to="lab_btplc_SpecificItemsTable" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivities_a07e8410-9866-429a-9b48-14c898fffb76_negatedLabel_en" xlink:label="lab_btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash Flows From Derivatives Related To Net Debt Classified As Financing Activities</link:label>
    <link:label id="lab_btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivities_label_en" xlink:label="lab_btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash Flows From Derivatives Related To Net Debt Classified As Financing Activities</link:label>
    <link:label id="lab_btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivities_documentation_en" xlink:label="lab_btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash Flows From Derivatives Related To Net Debt Classified As Financing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivities" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivities" xlink:to="lab_btplc_CashFlowsFromDerivativesRelatedToNetDebtClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_SettlementOfMinimumGuaranteeLiabilityWithSportsJointVentureClassifiedAsInvestingActivities_efbdb643-c1de-4bef-8f40-41f6105de69c_negatedLabel_en" xlink:label="lab_btplc_SettlementOfMinimumGuaranteeLiabilityWithSportsJointVentureClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Settlement of minimum guarantee liability with sports joint venture classified as investing activities</link:label>
    <link:label id="lab_btplc_SettlementOfMinimumGuaranteeLiabilityWithSportsJointVentureClassifiedAsInvestingActivities_label_en" xlink:label="lab_btplc_SettlementOfMinimumGuaranteeLiabilityWithSportsJointVentureClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Settlement of minimum guarantee liability with sports joint venture classified as investing activities</link:label>
    <link:label id="lab_btplc_SettlementOfMinimumGuaranteeLiabilityWithSportsJointVentureClassifiedAsInvestingActivities_documentation_en" xlink:label="lab_btplc_SettlementOfMinimumGuaranteeLiabilityWithSportsJointVentureClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Settlement of minimum guarantee liability with sports joint venture classified as investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_SettlementOfMinimumGuaranteeLiabilityWithSportsJointVentureClassifiedAsInvestingActivities" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_SettlementOfMinimumGuaranteeLiabilityWithSportsJointVentureClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_SettlementOfMinimumGuaranteeLiabilityWithSportsJointVentureClassifiedAsInvestingActivities" xlink:to="lab_btplc_SettlementOfMinimumGuaranteeLiabilityWithSportsJointVentureClassifiedAsInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_TransferredToTheIncomeStatement_label_en" xlink:label="lab_btplc_TransferredToTheIncomeStatement" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Transferred To The Income Statement</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_TransferredToTheIncomeStatement" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_TransferredToTheIncomeStatement"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_TransferredToTheIncomeStatement" xlink:to="lab_btplc_TransferredToTheIncomeStatement" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_OperatingExpense_a8818447-7dcd-48de-b865-91be0a633fbc_negatedLabel_en" xlink:label="lab_ifrs-full_OperatingExpense" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Operating expense</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_OperatingExpense" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OperatingExpense"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_OperatingExpense" xlink:to="lab_ifrs-full_OperatingExpense" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_DescriptionOfAccountingPolicyForImpairmentOfGoodwillTextBlock_label_en" xlink:label="lab_btplc_DescriptionOfAccountingPolicyForImpairmentOfGoodwillTextBlock" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Description of accounting policy for impairment of goodwill [Text Block]</link:label>
    <link:label id="lab_btplc_DescriptionOfAccountingPolicyForImpairmentOfGoodwillTextBlock_documentation_en" xlink:label="lab_btplc_DescriptionOfAccountingPolicyForImpairmentOfGoodwillTextBlock" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Description of accounting policy for impairment of goodwill</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_DescriptionOfAccountingPolicyForImpairmentOfGoodwillTextBlock" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_DescriptionOfAccountingPolicyForImpairmentOfGoodwillTextBlock"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_DescriptionOfAccountingPolicyForImpairmentOfGoodwillTextBlock" xlink:to="lab_btplc_DescriptionOfAccountingPolicyForImpairmentOfGoodwillTextBlock" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets_18f242ae-d026-49c4-a7f3-f41a8fd5755c_negatedLabel_en" xlink:label="lab_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Purchase of property, plant and equipment, intangible assets other than goodwill, investment property and other non-current assets</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:to="lab_ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_DisclosureOfDirectorsEmolumentsAndPensionsTextBlock_label_en" xlink:label="lab_btplc_DisclosureOfDirectorsEmolumentsAndPensionsTextBlock" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Disclosure of directors' emoluments and pensions [Text Block]</link:label>
    <link:label id="lab_btplc_DisclosureOfDirectorsEmolumentsAndPensionsTextBlock_documentation_en" xlink:label="lab_btplc_DisclosureOfDirectorsEmolumentsAndPensionsTextBlock" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Disclosure of directors' emoluments and pensions</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_DisclosureOfDirectorsEmolumentsAndPensionsTextBlock" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_DisclosureOfDirectorsEmolumentsAndPensionsTextBlock"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_DisclosureOfDirectorsEmolumentsAndPensionsTextBlock" xlink:to="lab_btplc_DisclosureOfDirectorsEmolumentsAndPensionsTextBlock" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_PrepaymentsInRespectOfSpectrum_label_en" xlink:label="lab_btplc_PrepaymentsInRespectOfSpectrum" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Prepayments in respect of spectrum</link:label>
    <link:label id="lab_btplc_PrepaymentsInRespectOfSpectrum_documentation_en" xlink:label="lab_btplc_PrepaymentsInRespectOfSpectrum" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Prepayments in respect of spectrum</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_PrepaymentsInRespectOfSpectrum" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_PrepaymentsInRespectOfSpectrum"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_PrepaymentsInRespectOfSpectrum" xlink:to="lab_btplc_PrepaymentsInRespectOfSpectrum" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_AdditionToPropertyPlantAndEquipmentAndSoftware_label_en" xlink:label="lab_btplc_AdditionToPropertyPlantAndEquipmentAndSoftware" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Addition To Property, Plant And Equipment And Software</link:label>
    <link:label id="lab_btplc_AdditionToPropertyPlantAndEquipmentAndSoftware_documentation_en" xlink:label="lab_btplc_AdditionToPropertyPlantAndEquipmentAndSoftware" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Addition To Property, Plant And Equipment And Software</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_AdditionToPropertyPlantAndEquipmentAndSoftware" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_AdditionToPropertyPlantAndEquipmentAndSoftware"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_AdditionToPropertyPlantAndEquipmentAndSoftware" xlink:to="lab_btplc_AdditionToPropertyPlantAndEquipmentAndSoftware" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_DescriptionOfAccountingPolicyForDeferredContractCostsTextBlock_label_en" xlink:label="lab_btplc_DescriptionOfAccountingPolicyForDeferredContractCostsTextBlock" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Description of accounting policy for deferred contract costs [Text Block]</link:label>
    <link:label id="lab_btplc_DescriptionOfAccountingPolicyForDeferredContractCostsTextBlock_documentation_en" xlink:label="lab_btplc_DescriptionOfAccountingPolicyForDeferredContractCostsTextBlock" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Description of accounting policy for deferred contract costs</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_DescriptionOfAccountingPolicyForDeferredContractCostsTextBlock" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_DescriptionOfAccountingPolicyForDeferredContractCostsTextBlock"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_DescriptionOfAccountingPolicyForDeferredContractCostsTextBlock" xlink:to="lab_btplc_DescriptionOfAccountingPolicyForDeferredContractCostsTextBlock" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities_efc80fdf-0656-417c-b208-b3f8f98e31f6_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) operating activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities_f98f72ec-c7b4-4aed-9ab2-752f86f6f10f_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod_4873fd32-283f-45fa-85e3-b13578a044d1_negatedLabel_en" xlink:label="lab_ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Share of profit (loss) of associates and joint ventures accounted for using equity method</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:to="lab_ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_InterestPaidClassifiedAsFinancingActivities_c7b06ce7-99f8-4b3a-9e82-3d8f80240825_negatedLabel_en" xlink:label="lab_ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Interest paid, classified as financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_InterestPaidClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:to="lab_ifrs-full_InterestPaidClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_SpecificItemsMember_label_en" xlink:label="lab_btplc_SpecificItemsMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Specific Items [Member]</link:label>
    <link:label id="lab_btplc_SpecificItemsMember_documentation_en" xlink:label="lab_btplc_SpecificItemsMember" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Specific Items</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_SpecificItemsMember" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_SpecificItemsMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_SpecificItemsMember" xlink:to="lab_btplc_SpecificItemsMember" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities_c8b525d0-e386-44c9-bb6a-da08286f5a18_negatedLabel_en" xlink:label="lab_btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Net (Purchase) Disposal Of Non-Current Asset Investments Classified As Investing Activities</link:label>
    <link:label id="lab_btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities_label_en" xlink:label="lab_btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Net (Purchase) Disposal Of Non-Current Asset Investments Classified As Investing Activities</link:label>
    <link:label id="lab_btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities_documentation_en" xlink:label="lab_btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Net (Purchase) Disposal Of Non-Current Asset Investments Classified As Investing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities" xlink:to="lab_btplc_NetPurchaseDisposalOfNonCurrentAssetInvestmentsClassifiedAsInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_a6c6ad8c-5698-45cb-bc02-8a73586fd515_negatedLabel_en" xlink:label="lab_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Payments of lease liabilities, classified as financing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:to="lab_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_f8da94a3-c61d-40b1-a549-947dab07bf69_periodStartLabel_en" xlink:label="lab_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash and cash equivalents if different from statement of financial position</link:label>
    <link:label id="lab_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition_8ccc19c9-dce9-4881-bae1-a2510129a590_periodEndLabel_en" xlink:label="lab_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash and cash equivalents if different from statement of financial position</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:to="lab_ifrs-full_CashAndCashEquivalentsIfDifferentFromStatementOfFinancialPosition" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_BankOverdraftsExcludedFromCashAndCashEquivalents_label_en" xlink:label="lab_btplc_BankOverdraftsExcludedFromCashAndCashEquivalents" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Bank overdrafts excluded from cash and cash equivalents</link:label>
    <link:label id="lab_btplc_BankOverdraftsExcludedFromCashAndCashEquivalents_documentation_en" xlink:label="lab_btplc_BankOverdraftsExcludedFromCashAndCashEquivalents" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Bank overdrafts excluded from cash and cash equivalents</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_BankOverdraftsExcludedFromCashAndCashEquivalents" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_BankOverdraftsExcludedFromCashAndCashEquivalents"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_BankOverdraftsExcludedFromCashAndCashEquivalents" xlink:to="lab_btplc_BankOverdraftsExcludedFromCashAndCashEquivalents" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_DescriptionOfAccountingPolicyForDefinedContributionPlansTextBlock_label_en" xlink:label="lab_btplc_DescriptionOfAccountingPolicyForDefinedContributionPlansTextBlock" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Description of accounting policy for defined contribution plans [Text Block]</link:label>
    <link:label id="lab_btplc_DescriptionOfAccountingPolicyForDefinedContributionPlansTextBlock_documentation_en" xlink:label="lab_btplc_DescriptionOfAccountingPolicyForDefinedContributionPlansTextBlock" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Description of accounting policy for defined contribution plans</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_DescriptionOfAccountingPolicyForDefinedContributionPlansTextBlock" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_DescriptionOfAccountingPolicyForDefinedContributionPlansTextBlock"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_DescriptionOfAccountingPolicyForDefinedContributionPlansTextBlock" xlink:to="lab_btplc_DescriptionOfAccountingPolicyForDefinedContributionPlansTextBlock" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_DescriptionOfAccountingPolicyForContractAssetsAndLiabilitiesTextBlock_label_en" xlink:label="lab_btplc_DescriptionOfAccountingPolicyForContractAssetsAndLiabilitiesTextBlock" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Description of accounting policy for contract assets and liabilities [Text Block]</link:label>
    <link:label id="lab_btplc_DescriptionOfAccountingPolicyForContractAssetsAndLiabilitiesTextBlock_documentation_en" xlink:label="lab_btplc_DescriptionOfAccountingPolicyForContractAssetsAndLiabilitiesTextBlock" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Description of accounting policy for contract assets and liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_DescriptionOfAccountingPolicyForContractAssetsAndLiabilitiesTextBlock" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_DescriptionOfAccountingPolicyForContractAssetsAndLiabilitiesTextBlock"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_DescriptionOfAccountingPolicyForContractAssetsAndLiabilitiesTextBlock" xlink:to="lab_btplc_DescriptionOfAccountingPolicyForContractAssetsAndLiabilitiesTextBlock" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_TotalEquityAndNonCurrentLiabilities_e5dafc08-ddd0-4851-a1ad-f029987f4015_totalLabel_en" xlink:label="lab_btplc_TotalEquityAndNonCurrentLiabilities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Total equity and non-current liabilities</link:label>
    <link:label id="lab_btplc_TotalEquityAndNonCurrentLiabilities_label_en" xlink:label="lab_btplc_TotalEquityAndNonCurrentLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">TotalEquityAndNonCurrentLiabilities</link:label>
    <link:label id="lab_btplc_TotalEquityAndNonCurrentLiabilities_documentation_en" xlink:label="lab_btplc_TotalEquityAndNonCurrentLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">TotalEquityAndNonCurrentLiabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_TotalEquityAndNonCurrentLiabilities" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_TotalEquityAndNonCurrentLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_TotalEquityAndNonCurrentLiabilities" xlink:to="lab_btplc_TotalEquityAndNonCurrentLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_CurrentPreferenceSharesInJointVentures_label_en" xlink:label="lab_btplc_CurrentPreferenceSharesInJointVentures" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Current preference shares in joint ventures</link:label>
    <link:label id="lab_btplc_CurrentPreferenceSharesInJointVentures_documentation_en" xlink:label="lab_btplc_CurrentPreferenceSharesInJointVentures" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Current preference shares in joint ventures</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_CurrentPreferenceSharesInJointVentures" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_CurrentPreferenceSharesInJointVentures"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_CurrentPreferenceSharesInJointVentures" xlink:to="lab_btplc_CurrentPreferenceSharesInJointVentures" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_DescriptionOfAccountingPolicyForDefinedBenefitPlansTextBlock_label_en" xlink:label="lab_btplc_DescriptionOfAccountingPolicyForDefinedBenefitPlansTextBlock" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Description of accounting policy for defined benefit plans [Text Block]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_DescriptionOfAccountingPolicyForDefinedBenefitPlansTextBlock" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_DescriptionOfAccountingPolicyForDefinedBenefitPlansTextBlock"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_DescriptionOfAccountingPolicyForDefinedBenefitPlansTextBlock" xlink:to="lab_btplc_DescriptionOfAccountingPolicyForDefinedBenefitPlansTextBlock" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights_label_en" xlink:label="lab_btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Decrease (Increase) In Programme Rights</link:label>
    <link:label id="lab_btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights_documentation_en" xlink:label="lab_btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Decrease (Increase) In Programme Rights</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights" xlink:to="lab_btplc_AdjustmentsForDecreaseIncreaseInProgrammeRights" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_BeforeSpecificItemsMember_label_en" xlink:label="lab_btplc_BeforeSpecificItemsMember" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Before Specific Items [Member]</link:label>
    <link:label id="lab_btplc_BeforeSpecificItemsMember_documentation_en" xlink:label="lab_btplc_BeforeSpecificItemsMember" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Before Specific Items</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_BeforeSpecificItemsMember" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_BeforeSpecificItemsMember"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_BeforeSpecificItemsMember" xlink:to="lab_btplc_BeforeSpecificItemsMember" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities_e7761eaf-af15-4a87-81b5-6ebcc902060a_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_PensionDeficitPaymentIncludedInAdjustmentsForOtherLiabilities_label_en" xlink:label="lab_btplc_PensionDeficitPaymentIncludedInAdjustmentsForOtherLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Pension deficit payment included in adjustments for other liabilities</link:label>
    <link:label id="lab_btplc_PensionDeficitPaymentIncludedInAdjustmentsForOtherLiabilities_documentation_en" xlink:label="lab_btplc_PensionDeficitPaymentIncludedInAdjustmentsForOtherLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Pension deficit payment included in adjustments for other liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_PensionDeficitPaymentIncludedInAdjustmentsForOtherLiabilities" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_PensionDeficitPaymentIncludedInAdjustmentsForOtherLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_PensionDeficitPaymentIncludedInAdjustmentsForOtherLiabilities" xlink:to="lab_btplc_PensionDeficitPaymentIncludedInAdjustmentsForOtherLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_SpecificItemsLineItems_label_en" xlink:label="lab_btplc_SpecificItemsLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Specific Items [Line Items]</link:label>
    <link:label id="lab_btplc_SpecificItemsLineItems_documentation_en" xlink:label="lab_btplc_SpecificItemsLineItems" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Specific Items [Line Items]</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_SpecificItemsLineItems" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_SpecificItemsLineItems"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_SpecificItemsLineItems" xlink:to="lab_btplc_SpecificItemsLineItems" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_ChangesInOwnershipInterestsInSubsidiariesClassifiedAsFinancingActivities_c56e101f-92f3-4279-891e-583ac11dcc4f_negatedLabel_en" xlink:label="lab_btplc_ChangesInOwnershipInterestsInSubsidiariesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Changes In Ownership Interests In Subsidiaries Classified As Financing Activities</link:label>
    <link:label id="lab_btplc_ChangesInOwnershipInterestsInSubsidiariesClassifiedAsFinancingActivities_label_en" xlink:label="lab_btplc_ChangesInOwnershipInterestsInSubsidiariesClassifiedAsFinancingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Changes In Ownership Interests In Subsidiaries Classified As Financing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_ChangesInOwnershipInterestsInSubsidiariesClassifiedAsFinancingActivities" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_ChangesInOwnershipInterestsInSubsidiariesClassifiedAsFinancingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_ChangesInOwnershipInterestsInSubsidiariesClassifiedAsFinancingActivities" xlink:to="lab_btplc_ChangesInOwnershipInterestsInSubsidiariesClassifiedAsFinancingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_AssetsLessCurrentLiabilities_89942655-2bb4-4b59-a74c-9f0d4f0fd790_totalLabel_en" xlink:label="lab_ifrs-full_AssetsLessCurrentLiabilities" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Assets less current liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_AssetsLessCurrentLiabilities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AssetsLessCurrentLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_AssetsLessCurrentLiabilities" xlink:to="lab_ifrs-full_AssetsLessCurrentLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities_label_en" xlink:label="lab_btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For (Decrease) Increase In Contract Liabilities</link:label>
    <link:label id="lab_btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities_documentation_en" xlink:label="lab_btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For (Decrease) Increase In Contract Liabilities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities" xlink:to="lab_btplc_AdjustmentsForDecreaseIncreaseInContractLiabilities" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_IncreaseDecreaseInAmountsOwedByJointVenturesClassifiedAsInvestingActivities_3798d3fd-0596-4a0e-be57-551ae1c176cf_negatedLabel_en" xlink:label="lab_btplc_IncreaseDecreaseInAmountsOwedByJointVenturesClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">(Increase) decrease in amounts owed by joint ventures classified as investing activities</link:label>
    <link:label id="lab_btplc_IncreaseDecreaseInAmountsOwedByJointVenturesClassifiedAsInvestingActivities_label_en" xlink:label="lab_btplc_IncreaseDecreaseInAmountsOwedByJointVenturesClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">(Increase) decrease in amounts owed by joint ventures classified as investing activities</link:label>
    <link:label id="lab_btplc_IncreaseDecreaseInAmountsOwedByJointVenturesClassifiedAsInvestingActivities_documentation_en" xlink:label="lab_btplc_IncreaseDecreaseInAmountsOwedByJointVenturesClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">(Increase) decrease in amounts owed by joint ventures classified as investing activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_IncreaseDecreaseInAmountsOwedByJointVenturesClassifiedAsInvestingActivities" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_IncreaseDecreaseInAmountsOwedByJointVenturesClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_IncreaseDecreaseInAmountsOwedByJointVenturesClassifiedAsInvestingActivities" xlink:to="lab_btplc_IncreaseDecreaseInAmountsOwedByJointVenturesClassifiedAsInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncomeTaxExpenseContinuingOperations_dc60811c-8dc4-4c6b-b628-51867cacc8f9_negatedLabel_en" xlink:label="lab_ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Tax expense (income)</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:to="lab_ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss_488f4898-0627-4543-8180-8ff26fb8ea02_negatedLabel_en" xlink:label="lab_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Income tax relating to components of other comprehensive income that will be reclassified to profit or loss</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" xlink:to="lab_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities_8d8dcbf0-0d71-48d4-8452-866cd5532d73_negatedLabel_en" xlink:label="lab_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Income taxes paid (refund), classified as operating activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:to="lab_ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_DisclosureOfProgrammeRightsTextBlock_label_en" xlink:label="lab_btplc_DisclosureOfProgrammeRightsTextBlock" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Disclosure of programme rights [Text Block]</link:label>
    <link:label id="lab_btplc_DisclosureOfProgrammeRightsTextBlock_documentation_en" xlink:label="lab_btplc_DisclosureOfProgrammeRightsTextBlock" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Disclosure of programme rights</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_DisclosureOfProgrammeRightsTextBlock" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_DisclosureOfProgrammeRightsTextBlock"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_DisclosureOfProgrammeRightsTextBlock" xlink:to="lab_btplc_DisclosureOfProgrammeRightsTextBlock" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_AdjustmentsForIncreaseDecreaseInContractAssets_label_en" xlink:label="lab_btplc_AdjustmentsForIncreaseDecreaseInContractAssets" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For (Increase) Decrease In Contract Assets</link:label>
    <link:label id="lab_btplc_AdjustmentsForIncreaseDecreaseInContractAssets_documentation_en" xlink:label="lab_btplc_AdjustmentsForIncreaseDecreaseInContractAssets" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For (Increase) Decrease In Contract Assets</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_AdjustmentsForIncreaseDecreaseInContractAssets" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_AdjustmentsForIncreaseDecreaseInContractAssets"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_AdjustmentsForIncreaseDecreaseInContractAssets" xlink:to="lab_btplc_AdjustmentsForIncreaseDecreaseInContractAssets" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssets_97806c8e-a93b-4fad-b351-968de024c403_negatedLabel_en" xlink:label="lab_btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssets" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Profit On Disposal Of Property, Plant And Equipment And Intangible Assets Anchors</link:label>
    <link:label id="lab_btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssets_label_en" xlink:label="lab_btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssets" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Profit On Disposal Of Property, Plant And Equipment And Intangible Assets</link:label>
    <link:label id="lab_btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssets_documentation_en" xlink:label="lab_btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssets" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Adjustments For Profit On Disposal Of Property, Plant And Equipment And Intangible Assets</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssets" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssets"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssets" xlink:to="lab_btplc_AdjustmentsForProfitOnDisposalOfPropertyPlantAndEquipmentAndIntangibleAssets" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_CashFlowsFromUsedInOperations_dd3f8e9c-c326-4886-af1d-c2d963f1e348_totalLabel_en" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperations" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Cash flows from (used in) operations</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperations"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperations" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperations" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities_492835f0-3ace-4215-84ed-457b5f30678b_negatedLabel_en" xlink:label="lab_btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Purchases Of Current Financial Assets Classified As Investing Activities</link:label>
    <link:label id="lab_btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities_label_en" xlink:label="lab_btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Purchases Of Current Financial Assets Classified As Investing Activities</link:label>
    <link:label id="lab_btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities_documentation_en" xlink:label="lab_btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Purchases Of Current Financial Assets Classified As Investing Activities</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities" xlink:to="lab_btplc_PurchasesOfCurrentFinancialAssetsClassifiedAsInvestingActivities" xlink:type="arc" order="1"/>
    <link:label id="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_e97b8841-f0cd-4083-b67a-85aa49d17672_totalLabel_en" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Increase (decrease) in cash and cash equivalents before effect of exchange rate changes</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:type="arc" order="1"/>
    <link:label id="lab_btplc_GroupIncomeStatementAxis_label_en" xlink:label="lab_btplc_GroupIncomeStatementAxis" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Group Income Statement [Axis]</link:label>
    <link:label id="lab_btplc_GroupIncomeStatementAxis_documentation_en" xlink:label="lab_btplc_GroupIncomeStatementAxis" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:type="resource" xmlns:xml="http://www.w3.org/XML/1998/namespace" xml:lang="en">Group Income Statement</link:label>
    <link:loc xlink:type="locator" xlink:label="loc_btplc_GroupIncomeStatementAxis" xlink:href="549300OWFMSO9NYV4H90-2023-03-31.xsd#btplc_GroupIncomeStatementAxis"/>
    <link:labelArc xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_btplc_GroupIncomeStatementAxis" xlink:to="lab_btplc_GroupIncomeStatementAxis" xlink:type="arc" order="1"/>
  </link:labelLink>
</link:linkbase>
